Hacking Question NSP updates/DLC not working using tinfoil

XimerkHD

Member
Newcomer
Joined
Aug 21, 2018
Messages
6
Trophies
0
Age
22
XP
76
Country
United States
Hey ^^, I install super Bomberman yesterday on my switch without any problems and got it to work fine, today I tried to install Zelda BOTW + the updates and the DLCs. I was able to install BOTW but the DLCs and updates give me this error:

"Error Code: 2168-0002
An error has occurred
Please press the POWER Button to restart the console...If the problems persist, refer to the Nintendo Support Website..."

When I try running BOTW alone, it works fine for about 5 minutes and then crashes.
I tried downloading the games and updates from a different source but still in vain.
I'll really appreciate any help on this matter. ^^
 

Rasa39

Pervert Deluxe
Member
Joined
Aug 16, 2015
Messages
389
Trophies
0
XP
1,651
Country
United Kingdom
What fw you on, and did you use the "ignore firmware version" option when installing?

I installed some dlc on 3.0.2 with the ignore option and it worked fine, but after udating to 5.1 I got the same error you have, reinstalled the dlc without the ignore option and it worked again.
So if you have high enough firmware, try reinstalling with or without that option enabled (depnding on what you had it set to the first time)
 

XimerkHD

Member
Newcomer
Joined
Aug 21, 2018
Messages
6
Trophies
0
Age
22
XP
76
Country
United States
hey thanks for your reply, I'm on fw 5.1, I don't see that "ignore firmware version" option you are talking about could you give me more details on it if you don''t mind ? ^^
 

Rasa39

Pervert Deluxe
Member
Joined
Aug 16, 2015
Messages
389
Trophies
0
XP
1,651
Country
United Kingdom
Well when you install an nsp using tinfoil it will ask something like "ignore firmware requirement" and present you with a yes/no option, after you choose it will install the nsp file but one option will try to remove the firmware requirement which doesn't always work and can cause problems. Seeing as you're on 5.1 then you can always select "no" for this option.

But if you haven't seen this option then I imagine you have an old build of tinfoil.
I don't know what cfw you're using, but I got used the reiNX files from https://github.com/tumGER/SDFilesSwitch/releases

Try the version of tinfoil in the latest release and let me know if you get a better result. If you use reiNX or hekate then I would suggest you use the whole package for your given cfw.

You can find the full guide on how to do that in the description on the github page.
(also install game, then update, then dlc. I had the dlc installed first before installing the game, and it would freeze when trying to leave the first tomb)
 
Last edited by Rasa39,

XimerkHD

Member
Newcomer
Joined
Aug 21, 2018
Messages
6
Trophies
0
Age
22
XP
76
Country
United States
Ok now i got another problem, when I launch the album with the new files ( i tried many many packs and even downloaded the files 1 by 1 to make sure the sd card was correctly setup ) it opens the Homebrew menu but gives me this "No applications could be found on the SD card Make sure a folder named /switch exists ( which I have and already checked a thousand time) in the root of the SD card and it contains applications. I'm really running out of options, hoping you or someone can help me on this ^^
 

Draxzelex

Well-Known Member
Member
Joined
Aug 6, 2017
Messages
16,115
Trophies
1
Age
27
Location
New York City
XP
11,039
Country
United States
Ok now i got another problem, when I launch the album with the new files ( i tried many many packs and even downloaded the files 1 by 1 to make sure the sd card was correctly setup ) it opens the Homebrew menu but gives me this "No applications could be found on the SD card Make sure a folder named /switch exists ( which I have and already checked a thousand time) in the root of the SD card and it contains applications. I'm really running out of options, hoping you or someone can help me on this ^^
Try this: https://gbatemp.net/threads/how-to-fix-archive-bit-for-all-sd-files-and-folders.515258/
 

XimerkHD

Member
Newcomer
Joined
Aug 21, 2018
Messages
6
Trophies
0
Age
22
XP
76
Country
United States
Hey, ^^ I just tried what was in the thread you linked and it worked! I'm copying the Nsps on my sd card right now to see if my problem is fixed.
 

skins20

Well-Known Member
Newcomer
Joined
Aug 5, 2016
Messages
92
Trophies
0
Age
32
XP
246
Country
Argentina
Well when you install an nsp using tinfoil it will ask something like "ignore firmware requirement" and present you with a yes/no option, after you choose it will install the nsp file but one option will try to remove the firmware requirement which doesn't always work and can cause problems. Seeing as you're on 5.1 then you can always select "no" for this option.

But if you haven't seen this option then I imagine you have an old build of tinfoil.
I don't know what cfw you're using, but I got used the reiNX files from https://github.com/tumGER/SDFilesSwitch/releases

Try the version of tinfoil in the latest release and let me know if you get a better result. If you use reiNX or hekate then I would suggest you use the whole package for your given cfw.

You can find the full guide on how to do that in the description on the github page.
(also install game, then update, then dlc. I had the dlc installed first before installing the game, and it would freeze when trying to leave the first tomb)

Is currently reliable use tinfoil to install DLC?
Any suggestions?
 

Tinnetju

Well-Known Member
Newcomer
Joined
Jul 31, 2018
Messages
66
Trophies
0
Age
41
XP
229
Country
Netherlands
Is currently reliable use tinfoil to install DLC?
Any suggestions?

Tinfoil works great for DLC as well as updated and NSP games. Be aware when installing games and using the 'ignore firmware version' your firmware can't be too low, just 'a little lower' than usually required.

Make sure you have the newest tinfoil.
 
  • Like
Reactions: skins20
General chit-chat
Help Users
  • No one is chatting at the moment.
    Psionic Roshambo @ Psionic Roshambo: Well how else would I know what brand of knife works best? Lol